VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private m_objOutlook As Outlook.Application
Private m_olNameSpace As NameSpace
Private m_olInbox As MAPIFolder

Private m_lngMailCount As Long
Private Function ConnectToOL() As Boolean
    On Error GoTo ErrHandler
    Dim strOL_Version As String
    ConnectToOL = False
    'Initilize our variable
    Set m_objOutlook = New Outlook.Application
    'This is just to check and make sure we have a connection to outlook
    strOL_Version = m_objOutlook.Version
    Debug.Print strOL_Version & " Outlook Version"
    ConnectToOL = True
    Exit Function
ErrHandler:
    ConnectToOL = False
End Function
Private Sub Inbox()
    'This routine grabs & sets the inbox for us!
    Set m_olNameSpace = m_objOutlook.GetNamespace("MAPI")
    Set m_olInbox = m_olNameSpace.GetDefaultFolder(olFolderInbox)
End Sub
Private Sub RecurseInbox()
    '*************************************************************
    'Procedure:    Private Method RecurseInbox
    'Coded By:     David M. Buckner
    'Created on:   04-Nov-2000
    'Module:       ModOLSaver
    'Module File:  C:\My Projects\Visual Basic\Internet\Outlook Saver\Version 1.1\ModOLSaver.bas
    'Project:      OutlookSaver
    'Project File: C:\My Projects\Visual Basic\Internet\Outlook Saver\Version 1.1\OutlookSaver.vbp
    'Parameters:
    '*************************************************************
    'This walks the inbox and performs recursion on it
    Dim m_olFolder() As MAPIFolder
    Dim CurFolder As MAPIFolder
    Dim FolderCount As Integer
    Set CurFolder = m_olInbox
    
    
    FolderCount = m_olInbox.Folders.Count
    ReDim m_olFolder(0 To FolderCount) As MAPIFolder
    Set m_olFolder(0) = m_olInbox
    
    m_lngMailCount = m_lngMailCount + m_olFolder(0).Items.Count
    Debug.Print m_olFolder(0).Name
    'Lets see how many folders we have
    Dim I As Long
    For I = 1 To FolderCount
        Set m_olFolder(I) = CurFolder.Folders.Item(I)
        Debug.Print m_olFolder(I).Name
        m_lngMailCount = m_lngMailCount + m_olFolder(I).Items.Count
        RecurseChildFolder m_olFolder(I)
    Next
End Sub
Private Sub RecurseChildFolder(FName As MAPIFolder)
    '*************************************************************
    'Procedure:    Private Method RecurseChildFolder
    'Coded By:     David M. Buckner
    'Created on:   04-Nov-2000
    'Module:       ModOLSaver
    'Module File:  C:\My Projects\Visual Basic\Internet\Outlook Saver\Version 1.1\ModOLSaver.bas
    'Project:      OutlookSaver
    'Project File: C:\My Projects\Visual Basic\Internet\Outlook Saver\Version 1.1\OutlookSaver.vbp
    'Parameters:
    'FName - Takes a MAPI folder
    '*************************************************************
    Dim ChildFolder() As MAPIFolder
    Dim CFCount As Long
    Dim OL_MailItem As MailItem
    CFCount = FName.Folders.Count
    ReDim ChildFolder(0 To CFCount) As MAPIFolder
    Set ChildFolder(0) = FName
    Dim I As Long
    For I = 1 To CFCount
        Set ChildFolder(I) = FName.Folders.Item(I)
        Debug.Print ChildFolder(I).Name & " Child Of " & ChildFolder(I).Parent
        m_lngMailCount = m_lngMailCount + ChildFolder(I).Items.Count
        RecurseChildFolder ChildFolder(I)
    Next
End Sub
Private Sub Form_Load()
    Select Case ConnectToOL
    Case True
        Inbox
        RecurseInbox
    Case False
    End Select
    Debug.Print "There are " & m_lngMailCount & " Total emails in the inbox"
    With Me
        .AutoRedraw = True
        .CurrentX = 1200
        .CurrentY = 1200
        Print "There are " & m_lngMailCount & " Total emails in the inbox"
    End With
End Sub
Private Sub Form_Unload(Cancel As Integer)
    Set m_olInbox = Nothing
    Set m_olNameSpace = Nothing
    Set m_objOutlook = Nothing
End Sub


